com.salesforce.datacloud.jdbc.core

## Class MetadataResultSet

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.MetadataResultSet

    public final class MetadataResultSet
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.calcite.avatica.AvaticaResultSet` `of()`
`static org.apache.calcite.avatica.AvaticaResultSet` `of(org.apache.calcite.avatica.AvaticaStatement statement, org.apache.calcite.avatica.QueryState state, org.apache.calcite.avatica.Meta.Signature signature, ResultSetMetaData resultSetMetaData, TimeZone timeZone, org.apache.calcite.avatica.Meta.Frame firstFrame, List<Object> data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static org.apache.calcite.avatica.AvaticaResultSet of()
                                                          throws SQLException

Throws:
  `SQLException`

#### of

    public static org.apache.calcite.avatica.AvaticaResultSet of(org.apache.calcite.avatica.AvaticaStatement statement,
                                                                 org.apache.calcite.avatica.QueryState state,
                                                                 org.apache.calcite.avatica.Meta.Signature signature,
                                                                 ResultSetMetaData resultSetMetaData,
                                                                 TimeZone timeZone,
                                                                 org.apache.calcite.avatica.Meta.Frame firstFrame,
                                                                 List<Object> data)
                                                          throws SQLException

Throws:
  `SQLException`